#ifndef __RPMPLDI_H
#define __RPMPLDI_H

#include "rpmmenlib.h"
#include <rpm/rpmlib.h>

TPkgSet *rpmpldi_getPkgsSet();
void rpmpldi_select_from_file(char *name);
int rpmpldi_install(int flags/*, rpmNotifyFunction notify, TStartPackage
			       startUI*/);
int rpmpldi_scandir();
int rpmpldi_init(char *src, char *dest, struct rpmmen_cb *cb);
int rpmpldi_init_ro(char *src, char *dest, struct rpmmen_cb *cb);
int rpmpldi_add_deps();
void rpmpldi_remove_deps();
void rpmpldi_finish();
void * rpmpldi_header_entry_get(int num, int tag);
void rpmpldi_header_entry_free(void *ptr);
unsigned long rpmpldi_selected_size(int *nselected);
void rpmpldi_selectpackages(char **names,int count);
void rpmpldi_update_installed_info();
void rpmpldi_closedb();
void rpmpldi_opendb();
tn_list* rpmpldi_check_black();
void pldi_freeBlack(tn_list *list);
tn_list *rpmpldi_allRequired(char *name,TpkgDescribe *pk);
TpkgDescribe rpmpldi_getPkgDesc(char *name);
int rpmpldi_is_installed(char *name, char *evr);
#endif
